Skip to main content
GET
List

Authorizations

X-API-Key
string
header
required

The API key to use for authentication.

Headers

Miru-Version
string
required

The API version the client was built against.

Example:

"2026-11-16.lassen"

Query Parameters

offset
integer
default:0

The offset of the items to return. An offset of 10 with a limit of 10 returns items 11-20.

Required range: x >= 0
Example:

0

limit
integer
default:10

The maximum number of items to return. A limit of 15 with an offset of 0 returns items 1-15.

Required range: 1 <= x <= 100
Example:

10

order_by
enum<string>[]

Sort order for the upload results.

Available options:
id:asc,
id:desc,
created_at:asc,
created_at:desc,
uploaded_at:asc,
uploaded_at:desc
Example:
expand
enum<string>[]

Fields to expand on each upload in the list.

Available options:
total_count
id
string[]

The upload IDs to filter by.

Example:
device_id
string[]

The device IDs to filter by.

Example:
file_rule_id
string[]

The file rule IDs to filter by.

Example:
upload_collection_id
string[]

The upload collection IDs to filter by.

Example:
status
enum<string>[]

The upload statuses to filter by.

The lifecycle status of an upload in the ledger.

  • pending: a presigned URL has been minted but the device has not yet confirmed a durable write.
  • uploaded: the device confirmed a durable write to the bucket.
Available options:
pending,
uploaded
Example:
bundle_id
string[]

The upload bundle IDs to filter by.

Example:

Response

200 - application/json

Successfully listed the uploads.

object
enum<string>
required

The object type, which is always list.

Available options:
list
Example:

"list"

limit
integer
default:10
required

The maximum number of items to return. A limit of 15 with an offset of 0 returns items 1-15.

Required range: 1 <= x <= 100
offset
integer
default:0
required

The offset of the items to return. An offset of 10 with a limit of 10 returns items 11-20.

Required range: x >= 0
has_more
boolean
required

True if there are more items in the list to return. False if there are no more items to return.

Example:

false

data
Upload · object[]
required

The list of uploads.

total_count
integer<int64>

The total number of items in the list. By default the total count is not returned. The total count must be expanded (using expand=total_count) to get the total number of items in the list.